| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CommonBitmaskHeader Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CommonBitmaskHeader defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CommonBitmaskHeader ()
| Default constructor.
eProsima_user_DllExport | ~CommonBitmaskHeader ()
| Default destructor.
eProsima_user_DllExport | CommonBitmaskHeader (const CommonBitmaskHeader &x)
| Copy constructor.
eProsima_user_DllExport | CommonBitmaskHeader (CommonBitmaskHeader &&x) noexcept
| Move constructor.
eProsima_user_DllExport CommonBitmaskHeader & | operator= (const CommonBitmaskHeader &x)
| Copy assignment.
eProsima_user_DllExport CommonBitmaskHeader & | operator= (CommonBitmaskHeader &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CommonBitmaskHeader &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CommonBitmaskHeader &x) const
| Comparison operator.
eProsima_user_DllExport void | bit_bound (BitBound _bit_bound)
| This function sets a value in member bit_bound.
eProsima_user_DllExport BitBound | bit_bound () const
| This function returns the value of member bit_bound.
eProsima_user_DllExport BitBound & | bit_bound ()
| This function returns a reference to member bit_bound.

## Detailed Description

This class represents the structure CommonBitmaskHeader defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CommonBitmaskHeader() [1/3]

eProsima_user_DllExport CommonBitmaskHeader | ( |  | ) |

inline

Default constructor.

## ◆ ~CommonBitmaskHeader()

eProsima_user_DllExport ~CommonBitmaskHeader | ( |  | ) |

inline

Default destructor.

## ◆ CommonBitmaskHeader() [2/3]

eProsima_user_DllExport CommonBitmaskHeader | ( | const CommonBitmaskHeader & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CommonBitmaskHeader that will be copied.

## ◆ CommonBitmaskHeader() [3/3]

eProsima_user_DllExport CommonBitmaskHeader | ( | CommonBitmaskHeader && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CommonBitmaskHeader that will be copied.

## Member Function Documentation

## ◆ bit_bound() [1/3]

eProsima_user_DllExport BitBound & bit_bound | ( |  | ) |

inline

This function returns a reference to member bit_bound.

Returns
  Reference to member bit_bound

## ◆ bit_bound() [2/3]

eProsima_user_DllExport BitBound bit_bound | ( |  | ) | const

inline

This function returns the value of member bit_bound.

Returns
  Value of member bit_bound

## ◆ bit_bound() [3/3]

eProsima_user_DllExport void bit_bound | ( | BitBound | _bit_bound | ) |

inline

This function sets a value in member bit_bound.

Parameters

  _bit_bound | New value for member bit_bound

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CommonBitmaskHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonBitmaskHeader object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CommonBitmaskHeader & operator= | ( | CommonBitmaskHeader && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CommonBitmaskHeader that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CommonBitmaskHeader & operator= | ( | const CommonBitmaskHeader & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CommonBitmaskHeader that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CommonBitmaskHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonBitmaskHeader object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp